de.esprit.netsuite.client.info

## Class ClientInfo

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.client.info.ClientInfo

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class ClientInfo
      extends TransferableObject

  This is a container for client-local details information. The server may request this object from a client any time to find out mored detailed information about the client. Note that some of this information may change over time. Therefore it is newly read each time it is requested.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInfo(SessionId sessionId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientConfig` | `getClientConfig()`
    `java.lang.Exception` | `getError()`
    `java.lang.String` | `getOsName()`
    `java.lang.String` | `getOsUserLanguage()`
    `java.lang.String` | `getOsUserName()`
    `java.lang.String` | `getOsVersion()`
    `java.io.File` | `getUserHomeDir()`
    `java.io.File` | `getUserWorkingDir()`
    `boolean` | `hasError()`
    `<C extends ClientContext> void` | `read(C ctx)`
    `void` | `setError(java.lang.Exception e)` This Object contains an error if it could not be read from the client.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientInfo

          public ClientInfo(SessionId sessionId)

  - ### Method Detail

    - #### setError

          public void setError(java.lang.Exception e)

      This Object contains an error if it could not be read from the client.
      See Also:
        `setError(Exception)`

    - #### getError

          public java.lang.Exception getError()

      See Also:
        `setError(Exception)`

    - #### hasError

          public boolean hasError()

      See Also:
        `setError(Exception)`

    - #### getUserHomeDir

          public java.io.File getUserHomeDir()

    - #### getUserWorkingDir

          public java.io.File getUserWorkingDir()

    - #### getOsName

          public java.lang.String getOsName()

    - #### getOsVersion

          public java.lang.String getOsVersion()

    - #### getClientConfig

          public ClientConfig getClientConfig()

    - #### getOsUserLanguage

          public java.lang.String getOsUserLanguage()

    - #### getOsUserName

          public java.lang.String getOsUserName()

    - #### read

          public <C extends ClientContext> void read(C ctx)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.